package cn.superdesk.uniorder.service.sys;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.SysConfig;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 说明
 * 1. 供应商结算 unified_sn_config
 * 2. 客户结算 sys_config
 * @Author: linjinyu
 * @CreateDate: 2020/12/7 上午10:36
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/12/7 上午10:36
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Deprecated
public interface SysConfigService extends BaseService<SysConfig> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(SysConfig entity);

    int updateByPrimaryKeySelective(SysConfig entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysConfig findById(Long id);

	@Deprecated
	PageInfo<SysConfig> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysConfig> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysConfig(SysConfig entity);

	void updateSysConfig(SysConfig entity);



	void deleteSysConfig(Long id);

	SysConfig findSysConfigById(Long id);

	SysConfig findByCode(String code);

	R<List<SysConfig>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);






//	String getCustomerStatementOfAccountSn();
	/**
	 * 客户结算-对账单号
	 *
	 * @return
	 */
//	@Deprecated
//	Map<String, Object> getConfigByDZSN();

//	String getInvoiceApplySn();
	/**
	 * 客户结算-发票申请号
	 *
	 * @return
	 */
//	@Deprecated
//	Map<String, Object> getConfigByINVA();



//	@Deprecated
//	Map<String, Object> getBanckNo();

	//	void updateSysConfigFieldDataIntByCode(/*TODO 有空再重构吧 用什么鬼Map*/Map<String, Object> codeMap);

}
